Subject: Re: bug#35860: Delayed window positioning after buffer display

From: Juri Linkov <[email-masked]>
Date: Fri, 14 Jun 2019 22:14:37 +0300

>> OK.  But
>>
>> -;; (4) A marker (`help-window-point-marker') to move point in the help
>> +;; (4) A marker (`window-point') to move point in the help
>>  ;;     window to an arbitrary buffer position.
>>
>> sounds irritating IMHO.  If it's used for help windows only, then why
>> rename it?  Otherwise, we should at least leave the '-marker' postfix
>> and provide some additional identification so maybe use something like
>> 'temp-buffer-window-point-marker'
>
> It's generalized now to be used not only for help windows.
> The '-marker' postfix is not needed because it can be either
> marker or integer, i.e. any value that set-window-point accepts
> for its POSITION argument.

What do you think about a more appropriate name
next-display-window-point?  This name says that its effect
will occur at the next display of the buffer in the window.